Package com.sap.ai.sdk.core.model

# Class AiExecutableArtifact

java.lang.Object
com.sap.ai.sdk.core.model.AiExecutableArtifact

public class AiExecutableArtifact extends Object
AiExecutableArtifact

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiExecutableArtifact.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiExecutableArtifact()`
  Default constructor for AiExecutableArtifact.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiExecutableArtifact`
  `addLabelsItem(AiLabel labelsItem)`
  Add one labels instance to this `AiExecutableArtifact`.
  `static AiExecutableArtifact.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiExecutableArtifact` instance with all required arguments.
  `AiExecutableArtifact`
  `description(String description)`
  Set the description of this `AiExecutableArtifact` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiExecutableArtifact`.
  `String`
  `getDescription()`
  Description of the signature argument
  `String`
  `getKind()`
  Artifact kind (model, dataset, other)
  `List<AiLabel>`
  `getLabels()`
  Arbitrary labels as meta information
  `String`
  `getName()`
  Name of the executable input artifacts
  `int`
  `hashCode()`
  `AiExecutableArtifact`
  `kind(String kind)`
  Set the kind of this `AiExecutableArtifact` instance and return the same instance.
  `AiExecutableArtifact`
  `labels(List<AiLabel> labels)`
  Set the labels of this `AiExecutableArtifact` instance and return the same instance.
  `AiExecutableArtifact`
  `name(String name)`
  Set the name of this `AiExecutableArtifact` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiExecutableArtifact` instance.
  `void`
  `setDescription(String description)`
  Set the description of this `AiExecutableArtifact` instance.
  `void`
  `setKind(String kind)`
  Set the kind of this `AiExecutableArtifact` instance.
  `void`
  `setLabels(List<AiLabel> labels)`
  Set the labels of this `AiExecutableArtifact` instance.
  `void`
  `setName(String name)`
  Set the name of this `AiExecutableArtifact` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiExecutableArtifact` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiExecutableArtifact

    protected AiExecutableArtifact()
    Default constructor for AiExecutableArtifact.

- ## Method Details

  - ### name

    @Nonnull public AiExecutableArtifact name(@Nonnull String name)
    Set the name of this `AiExecutableArtifact` instance and return the same instance.
    Parameters:
      `name` - Name of the executable input artifacts
    Returns:
      The same instance of this `AiExecutableArtifact` class

  - ### getName

    @Nonnull public String getName()
    Name of the executable input artifacts
    Returns:
      name The name of this `AiExecutableArtifact` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `AiExecutableArtifact` instance.
    Parameters:
      `name` - Name of the executable input artifacts

  - ### kind

    @Nonnull public AiExecutableArtifact kind(@Nullable String kind)
    Set the kind of this `AiExecutableArtifact` instance and return the same instance.
    Parameters:
      `kind` - Artifact kind (model, dataset, other)
    Returns:
      The same instance of this `AiExecutableArtifact` class

  - ### getKind

    @Nonnull public String getKind()
    Artifact kind (model, dataset, other)
    Returns:
      kind The kind of this `AiExecutableArtifact` instance.

  - ### setKind

    public void setKind(@Nullable String kind)
    Set the kind of this `AiExecutableArtifact` instance.
    Parameters:
      `kind` - Artifact kind (model, dataset, other)

  - ### description

    @Nonnull public AiExecutableArtifact description(@Nullable String description)
    Set the description of this `AiExecutableArtifact` instance and return the same instance.
    Parameters:
      `description` - Description of the signature argument
    Returns:
      The same instance of this `AiExecutableArtifact` class

  - ### getDescription

    @Nonnull public String getDescription()
    Description of the signature argument
    Returns:
      description The description of this `AiExecutableArtifact` instance.

  - ### setDescription

    public void setDescription(@Nullable String description)
    Set the description of this `AiExecutableArtifact` instance.
    Parameters:
      `description` - Description of the signature argument

  - ### labels

    @Nonnull public AiExecutableArtifact labels(@Nullable List<AiLabel> labels)
    Set the labels of this `AiExecutableArtifact` instance and return the same instance.
    Parameters:
      `labels` - Arbitrary labels as meta information
    Returns:
      The same instance of this `AiExecutableArtifact` class

  - ### addLabelsItem

    @Nonnull public AiExecutableArtifact addLabelsItem(@Nonnull AiLabel labelsItem)
    Add one labels instance to this `AiExecutableArtifact`.
    Parameters:
      `labelsItem` - The labels that should be added
    Returns:
      The same instance of type `AiExecutableArtifact`

  - ### getLabels

    @Nonnull public List<AiLabel> getLabels()
    Arbitrary labels as meta information
    Returns:
      labels The labels of this `AiExecutableArtifact` instance.

  - ### setLabels

    public void setLabels(@Nullable List<AiLabel> labels)
    Set the labels of this `AiExecutableArtifact` instance.
    Parameters:
      `labels` - Arbitrary labels as meta information

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiExecutableArtifact`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiExecutableArtifact` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiExecutableArtifact` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiExecutableArtifact` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiExecutableArtifact.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiExecutableArtifact` instance with all required arguments.